import { Map, List, fromJS } from 'immutable'

const defaultState = Map({
  'fetching': false,
  'torrents': List(),
});

export default function torrentStore(state = defaultState, action) {
  switch (action.type) {
    case 'TORRENTS_FETCH_PENDING':
      return state.set('fetching', false);
    case 'TORRENTS_FETCH_FULFILLED':
      return state.merge(fromJS({
        fetching: false,
        torrents: action.payload.response.data,
      }));
    default:
      return state
  }
}
